<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="Demo Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<asp:ScriptManager ID="ScriptManager1" runat="server">
</asp:ScriptManager>
Status:
    <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
        <asp:ListItem Selected="True" Value="false">Active</asp:ListItem>
        <asp:ListItem Value="true">Completed</asp:ListItem>
    </asp:DropDownList>
    <br />
    <asp:UpdateProgress ID="UpdateProgress1" runat="server">
        <ProgressTemplate>
            <div class="progress">
            <img src="images/indicator.gif" />
            Updating .....
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress><br />   
    <div class="todoheader">
    ToDo List Items
    </div>
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                                                AllowSorting="True" 
                                                AutoGenerateColumns="False"
                                                DataKeyNames="TaskId" 
                                                DataSourceID="ObjectDataSource1" 
                                                CssClass="gridview" 
                                                AlternatingRowStyle-CssClass="even" 
                                                GridLines="None">
         <Columns>
            <asp:CommandField ShowEditButton="True" />
            <asp:BoundField DataField="TaskId" HeaderText="TaskId" InsertVisible="False" ReadOnly="True"
                SortExpression="TaskId" />
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:CheckBoxField DataField="Complete" HeaderText="Complete" SortExpression="Complete" />
          </Columns>
         </asp:GridView> 
        </ContentTemplate>
        <Triggers>
        <asp:AsyncPostBackTrigger ControlID="DropDownList1" EventName="SelectedIndexChanged" />
        </Triggers>
    </asp:UpdatePanel>  
  
    
    <div class="insertheader">
        Add a New Task
    </div>
    
   <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:DetailsView ID="DetailsView1" runat="server" 
                     AutoGenerateRows="False" 
                     DataKeyNames="TaskId" 
                     DataSourceID="ObjectDataSource1" 
                     DefaultMode="Insert" 
                     CssClass="detailsview" 
                     GridLines="None">
        <Fields>
            <asp:BoundField DataField="TaskId" HeaderText="TaskId" InsertVisible="False" ReadOnly="True"
                SortExpression="TaskId" />
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:CheckBoxField DataField="Complete" HeaderText="Complete" SortExpression="Complete" />
            <asp:CommandField ShowInsertButton="True" />
        </Fields>
        </asp:DetailsView> 
    </ContentTemplate>
    </asp:UpdatePanel>      
    
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="Delete"
        InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="GetTasksByStatus"
        TypeName="TasksHelper.TaskDataSetTableAdapters.TasksTableAdapter" UpdateMethod="Update" OnUpdating="ObjectDataSource1_Updating">
        <DeleteParameters>
            <asp:Parameter Name="Original_TaskId" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Complete" Type="Boolean" />
            <asp:Parameter Name="Original_TaskId" Type="Int32" />
        </UpdateParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="DropDownList1" Name="IsComplete" PropertyName="SelectedValue"
                Type="Boolean" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Complete" Type="Boolean" />
        </InsertParameters>
    </asp:ObjectDataSource>
</asp:Content>

